View Single Post
Old 06-27-10, 06:59 AM   #1
openelec.tv
Registered User
 
Join Date: Dec 2009
Posts: 8
Exclamation nvidia 256.35 driver fails to load on upcoming xorg-server-1.9

Hi,

i must do some tests with the upcoming xorg-server-1.9 (xorg-server-1.8.99.903) on an ION based mainboard.

the nvidia driver dont load:
xorg.conf:

Code:
[2035587.063]   compiled for 1.8.99.903, module version = 1.2.0       
[2035587.063]   ABI class: X.Org Server Extension, version 4.0                    
[2035587.063] (II) Loading extension DRI2                                          
[2035587.063] (==) Matched nvidia as autoconfigured driver 0          
[2035587.063] (==) Matched vesa as autoconfigured driver 1            
[2035587.063] (==) Matched fbdev as autoconfigured driver 2           
[2035587.063] (==) Assigned the driver to the xf86ConfigLayout        
[2035587.063] (II) LoadModule: "nvidia"                               
[2035587.063] (II) Loading /usr/lib/xorg/modules/drivers/nvidia_drv.so           
[2035587.094] dlopen: /usr/lib/xorg/modules/drivers/nvidia_drv.so: undefined symbol: WindowTable                            
[2035587.094] (EE) Failed to load /usr/lib/xorg/modules/drivers/nvidia_drv.so                                                                                
[2035587.094] (II) UnloadModule: "nvidia"                                                       
[2035587.094] (EE) Failed to load module "nvidia" (loader failed, 7)                            
[2035587.094] (II) LoadModule: "vesa"                                                           
[2035587.098] (WW) Warning, couldn't open module vesa                                           
[2035587.098] (II) UnloadModule: "vesa"                                                         
[2035587.098] (EE) Failed to load module "vesa" (module does not exist, 0)                      
[2035587.098] (II) LoadModule: "fbdev"                                                          
[2035587.099] (WW) Warning, couldn't open module fbdev                                          
[2035587.099] (II) UnloadModule: "fbdev"                                            
[2035587.099] (EE) Failed to load module "fbdev" (module does not exist, 0)
[2035587.099] (EE) No drivers available.
this can be related of this commit: http://cgit.freedesktop.org/xorg/xse...dbf4117d928f9a where all references WindowTable[] are changed to screenInfo.screens[]->root

Code:
[stephan@x200t NVIDIA-Linux-x86-256.35]$ LANG=C grep -R WindowTable *
Binary file libnvidia-wfb.so.256.35 matches
Binary file nvidia_drv.so matches
because this is binary code, i cant create an patch.

for my tests i need an (beta) nvidia driver that works with xorg-server-1.8.99.x and up. is it possible to provide a new beta for testing newer xorg-server releases?

thanks very much

Stephan
__________________
greetings, Stephan

✩✩✩✩✩ OpenELEC.tv ✩✩✩✩✩
✩✩✩✩✩ try now the fast booting and smallest (50-70MB) embedded XBMC distribution with PVR function ✩✩✩✩✩
openelec.tv is offline   Reply With Quote